Subject: bug#49850: Crosscompiling gzip for musl-based system with clang

From: Paul Eggert <[email-masked]>
Date: Wed, 4 Aug 2021 00:07:34 -0700

gzip doesn't do much of anything special when cross-compiling; it's like 
other GNU or Autoconf-using programs. If your cross-compiler doesn't 
output to stderr on error, or outputs to stderr even when there isn't an 
error, that can confuse the process (with gzip and with other programs). 
So you might want to look into that. Otherwise, try putting 'set -x' 
into the relevant parts of the 'configure' shell script and look at the 
debugging output.